Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class AttributedUnsignedLongType

    java.lang.Object
      org.apache.cxf.ws.addressing.AttributedUnsignedLongType

    public class AttributedUnsignedLongType

extends java.lang.Object

Java class for AttributedUnsignedLongType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributedUnsignedLongType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>unsignedLong">
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected java.math.BigInteger` | `value`

Constructor Summary
`AttributedUnsignedLongType()`

Method Summary
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`java.math.BigInteger` | `getValue()` Gets the value of the value property.
`void` | `setValue(java.math.BigInteger value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.math.BigInteger value

Constructor Detail

### AttributedUnsignedLongType

    public AttributedUnsignedLongType()

Method Detail

### getValue

    public java.math.BigInteger getValue()

  Gets the value of the value property.

  Returns:
    possible object is `BigInteger`

### setValue

    public void setValue(java.math.BigInteger value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.